Summary:	Tool to check and undelete partition
Summary(pl):	Narzdzie sprawdzajce i odzyskujce partycje
Summary(fr):	Outil pour vrifier et restorer des partitions
Summary(ru_RU.KOI8-R):       
Name:		testdisk
Version:	6.6
Release:	1.slp5
License:	GPL
Group:		Applications/System
Source0:	http://www.cgsecurity.org/%{name}-%{version}.tar.bz2
URL:		http://www.cgsecurity.org/wiki/TestDisk
Packager:       Urs Beyerle <urs.beyerle@psi.ch>
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:  e2fsprogs-devel
BuildRequires:	libjpeg-devel
BuildRequires:	ntfsprogs-devel, progsreiserfs-devel
Requires:	ntfsprogs, progsreiserfs, e2fsprogs, ncurses
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Tool to check and undelete partition. Works with the following
partitions:
- DOS/Windows FAT12, FAT16 and FAT32
- NTFS ( Windows NT/2K/XP/Vista )
- Linux Ext2 and Ext3
- BeFS ( BeOS )
- BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
- CramFS (Compressed File System)
- HFS, Hierarchical File System
- JFS, IBM's Journaled File System
- Linux Raid
- Linux Swap (versions 1 and 2)
- LVM and LVM2, Linux Logical Volume Manager
- Netware NSS
- ReiserFS 3.5, 3.6 and 4
- UFS (Sun/BSD/...)
- XFS, SGI's Journaled File System

%description -l pl
Narzdzie sprawdzajce i odzyskujace partycje. Pracuje z partycjami:
- DOS/Windows FAT12, FAT16 and FAT32
- NTFS ( Windows NT/2K/XP )
- Linux Ext2 and Ext3
- BeFS ( BeOS )
- BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
- CramFS (Compressed File System)
- HFS, Hierarchical File System
- JFS, IBM's Journaled File System
- Linux Raid
- Linux Swap (versions 1 and 2)
- LVM and LVM2, Linux Logical Volume Manager
- Netware NSS
- ReiserFS 3.5, 3.6 and 4
- UFS (Sun/BSD/...)
- XFS, SGI's Journaled File System

%description -l fr
Outil pour vrifier et restorer des partitions. Fonctionne avec les 
partitions suivantes :
- DOS/Windows FAT12, FAT16 et FAT32
- NTFS ( Windows NT/2K/XP )
- Linux Ext2 et Ext3
- BeFS ( BeOS )
- BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
- CramFS (Compressed File System)
- HFS, Hierarchical File System
- JFS, Journaled File System d'IBM
- Linux Raid
- Linux Swap (version 1 et 2)
- LVM and LVM2, Linux Logical Volume Manager
- Netware NSS
- ReiserFS 3.5, 3.6 et 4
- UFS (Sun/BSD/...)
- XFS, Journaled File System de SGI

%description -l ru_RU.KOI8-R
      .
   :
- DOS/Windows FAT12, FAT16 and FAT32
- NTFS ( Windows NT/2K/XP )
- Linux Ext2 and Ext3
- BeFS ( BeOS )
- BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
- CramFS (Compressed File System)
- HFS, Hierarchical File System
- JFS, IBM's Journaled File System
- Linux Raid
- Linux Swap ( 1  2)
- LVM and LVM2, Linux Logical Volume Manager
- Netware NSS
- ReiserFS 3.5, 3.6 and 4
- UFS (Sun/BSD/...)
- XFS, SGI's Journaled File System

%prep
%setup -q

%build
## %configure --with-reiserfs-lib=${RPM_BUILD_DIR}/%{name}-%{version}/progsreiserfs-%ver_progsreiserfs/libreiserfs/.libs/ --with-reiserfs-includes=${RPM_BUILD_DIR}/%{name}-%{version}/progsreiserfs-%ver_progsreiserfs/include/ --with-dal-lib=${RPM_BUILD_DIR}/%{name}-%{version}/progsreiserfs-%ver_progsreiserfs/libdal/.libs/ --with-ntfs-lib=${RPM_BUILD_DIR}/%{name}-%{version}/ntfsprogs-%ver_ntfsprogs/libntfs/.libs/ --with-ntfs-includes=${RPM_BUILD_DIR}/%{name}-%{version}/ntfsprogs-%ver_ntfsprogs/include/
## make static

%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS doc
%{_mandir}/man1/testdisk.1*
%{_mandir}/man1/photorec.1*
%attr(755,root,root) %{_sbindir}/testdisk
%attr(755,root,root) %{_sbindir}/photorec

%changelog
* Mon Apr 09 2007 Urs Beyerle <urs.beyerle@psi.ch> 6.6-1.slp5
- no longer statically build
- needs: ntfsprogs, progsreiserfs
- build for SL5

* Sun Jan 4 2004 Christophe Grenier <grenier@cgsecurity.org> 5.0
- 5.0

* Wed Oct 1 2003 Christophe Grenier <grenier@cgsecurity.org> 4.5
- 4.5

* Wed Apr 23 2003 Christophe Grenier <grenier@cgsecurity.org> 4.4-2

* Sat Mar 29 2003 Pascal Terjan <CMoi@tuxfamily.org> 4.4-1mdk
- 4.4

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.2-2mdk
- rebuild for rpm and glibc

* Sun Oct 06 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.2-1mdk
- 4.2

* Mon Sep 02 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.1-1mdk 
- By Pascal Terjan <pascal.terjan@free.fr>
	- first mdk release, adapted from PLD.
	- gz to bz2 compression.
- fix %%tmppath
- %%make instead %%{__make}
